Viewing Issue Advanced Details Jump to Notes ] hornet.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04138 Crash/Freeze Critical (emulator) Always Dec 14, 2010, 01:55 Mar 20, 2015, 06:49
Tester NekoEd View Status Public Platform SDLMAME
Assigned To peterferrie Resolution Fixed OS Linux
Status [?] Resolved   Driver hornet.cpp
Version 0.140u2 Fixed in Version 0.160 Build Normal
Summary 04138: gradius4: "SHARC: PC Stack overflow !" doing MASKROM check
Description When performing the "MASKROM" check, the game will check four of the ROMs as "OK" before crashing with the message "SHARC: PC Stack overflow !"
Steps To Reproduce Start the game. Go into the test mode. Select the "MASKROM CHECK". It will get as far as four of the ROMs then bail out. (Alternately, it will stop working. MAME will continue to run, but nothing will happen in regards to the test.)
Additional Information
Flags
Regression Version
Affected Sets / Systems gradius4
Attached Files
 


-  Notes
User avatar
No.06914
Tafoid
(Administrator)
Dec 14, 2010, 04:11
edited on: Dec 14, 2010, 05:10
I get a crash stating:
SHARC: PC Stack overflow !

This happens all the way back to 0.102 (when first was bootable/playable)

User avatar
No.11521
peterferrie
(Developer)
Mar 19, 2015, 03:03
edited on: Mar 19, 2015, 06:37
adsp21062_device is being reset periodically, which re-enables interrupts while still inside an interrupt handler. The resulting cascade of interrupts overflows the stack.
However, the proper fix might actually be to reset the stack pointer instead.
Proposed fix for 0.160 seems to work.